Bug 102749 - Kernel 2.4.9-e.25 does not support AMD VIPER 7441 ide chipset
Kernel 2.4.9-e.25 does not support AMD VIPER 7441 ide chipset
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 12:55 EDT by Clifford Perry
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 10:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file to give support for AMD viper 7441 chipset (9.38 KB, patch)
2003-08-20 12:56 EDT, Clifford Perry
no flags Details | Diff

  None (edit)
Description Clifford Perry 2003-08-20 12:55:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
Having reviewed the kernel source for the current 2.4.9-e.25 kernel used for RH
AS and ES 2.1 it seems that support for the AMD Viper 7441 chipset was never
added to this kernel (though was long ago added within the 7.x kernel tree - see
bugzilla #68063 for last time this seemed to have been reported). 

Would it be possible for Red Hat to add in support for this chipset into the RH
EL line of kernels ? 

Without this hardware support within the kernel, the system boots by default
without UDMA support enabled, resulting in slow IDE hard drive transfer rates
(when running hdparm -t /dev/hda). 

Using the kernel.org 2.4.20 kernel I created a patch file to update the
amd74xx.c and associated files within the 2.4.9-e25 kernel which once patched
and compiled into the kernel will boot with UDMA enabled on the drives by default. 

Please let me know if you have any follow-up questions and any time frame on
when this can be added into the Red Hat Enterprise 2.1 AS & ES kernels. 

Regards,
Clifford
Rackspace Managed Hosting.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Gain access to server which has this chipset on it
2.Install RH ES/AS on an IDE hard drive system
3.Boot and try running hdparm -t on the drive 
    

Actual Results:  hdparm /dev/hda will show that udma is not enabled on the drive
and dmesg shows that the IDE chipset was not recognised by the kernel.

Expected Results:  UDMA is enabled by default and chipset is fully recognised by
the kernel.

Additional info:
Comment 1 Clifford Perry 2003-08-20 12:56:26 EDT
Created attachment 93786 [details]
Patch file to give support for AMD viper 7441 chipset
Comment 2 Alan Cox 2004-06-18 11:40:24 EDT
Ok with me - would favour leaving out pci-irq change (its right but
not neccessary)
Comment 3 Jason Baron 2004-07-09 16:15:44 EDT
Fix included in U5 beta, changing to modified.
http://people.redhat.com/~jbaron/.private/u5/2.4.9-e.46/
Comment 4 John Flanagan 2004-08-18 10:25:25 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-437.html

Note You need to log in before you can comment on or make changes to this bug.